From: Sven Joachim <svenjoac@gmx.de>
Date: Sat, 2 Dec 2023 15:57:51 +0100
Subject: Change the --disable-root-environ configure option behavior

By default, the --disable-root-environ option forbids program run by
the superuser to load custom terminfo entries.  This patch changes
that to only restrict programs running with elevated privileges,
matching the behavior of the --disable-setuid-environ option
introduced in the 20230423 upstream patchlevel.

Bug: https://lists.gnu.org/archive/html/bug-ncurses/2023-04/msg00018.html
Bug-Debian: https://security-tracker.debian.org/tracker/CVE-2023-29491
Bug-Debian: https://bugs.debian.org/1034372#29
---
 ncurses/tinfo/access.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/ncurses/tinfo/access.c b/ncurses/tinfo/access.c
index d987687..1f90177 100644
--- a/ncurses/tinfo/access.c
+++ b/ncurses/tinfo/access.c
@@ -186,7 +186,6 @@ _nc_env_access(void)
 	|| getgid() != getegid())
 	return FALSE;
 #endif
-    /* ...finally, disallow root */
-    return (getuid() != ROOT_UID) && (geteuid() != ROOT_UID);
+    return TRUE;
 }
 #endif
